<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="icon" href="icons/icon-16x16.png" type="image/gif" sizes="16x16">
    <title>Mango QUIZ</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>
    <link rel="manifest" href="manifest.json">
    <link rel="apple-touch-icon" sizes="180x180" href="icons/icon-180x180.png">

    <!-- <script>
        // Service Worker
        if ('serviceWorker' in navigator) {
            navigator.serviceWorker.register('/sw.js')
                .then(function () {
                    console.log('Service Worker Registered');
                });
        }
    </script> -->

    <meta charset="utf-8">
    <script>
        var firebaseConfig = {
            apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
            authDomain: "theflyingmangobutterflies.firebaseapp.com",
            databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
            projectId: "theflyingmangobutterflies",
            storageBucket: "theflyingmangobutterflies.appspot.com",
            messagingSenderId: "917586757603",
            appId: "1:917586757603:web:d7032957a5a827e1"
        };
        firebase.initializeApp(firebaseConfig);
    </script>
    <style>
        button{
            outline: none
        }
        #profile {
            height: 52px;
            width: 52px;
            background-color: #C8C8C8;
            border-radius: 50%;
            /* margin-top: 39.1px; */
            background-image: url(profile_icon.jpg);
            background-repeat: no-repeat;
            background-size: cover;
        }

        #tmp2 {
            display: flex;
            justify-content: center;
        }

        #rectangle-1 {
            height: 164px;
            width: 100%;
            background:linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));
            border-bottom-left-radius: 20px;
            border-bottom-right-radius: 20px;
        }

        #tmp {
            margin-top: -72px;
            display: flex;
            justify-content: center;
        }

        #icon {
            height: 123px;
            width: 123px;
            border-radius: 20px;
            background-color: #C8C8C8;
            background-image: url(icons/icon-192x192.png);
            background-repeat: no-repeat;
            background-size: cover;
        }

        body {
            background-color: white;
            margin: 0;

        }

        #mango_quiz_text {
            margin: 0;
            height: 37px;
            width: 180px;
            color: #000;
            font-family: 'Montserrat', sans-serif;
            font-size: 30px;
            font-weight: 700;
            line-height: 37px;
        }

        #tmp3 {
            display: flex;
            align-items: center;
            flex-direction: column;
        }

        #play_now {
            height: 143px;
            width: 143px;
            border-radius: 10px;
            background-color: rgba(51, 153, 255, 0.7);
            /* text-align: center; */
            border: 0;
            padding: 0;
        }

        #settings {
            height: 143px;
            width: 143px;
            border-radius: 10px;
            background-color: rgba(243, 202, 62, 0.7);
            text-align: center;
            border: 0;
            padding: 0;
        }

        #tmp4 {
            margin-top: 43px;
            display: flex;
            justify-content: space-around;
        }

        #Hint {
            height: 143px;
            width: 143px;
            border-radius: 10px;
            background-color: rgba(255, 95, 88, 0.7);
            text-align: center;
            border: 0;
            padding: 0;
        }

        #tfmb {
            height: 143px;
            width: 143px;
            border-radius: 10px;
            background-image: url(Pasted_Image.png);
            background-repeat: no-repeat;
            background-size: cover;
            border: 0;
            padding: 0;
        }

        #tmp4_2 {
            margin-top: 15px;
            display: flex;
            justify-content: space-around;
        }

        .demi-container {
            padding-right: 30px;
            padding-left: 30px;
        }

        .titles {
            margin: 0;
            margin-top: 3.25px;
            height: 74px;
            /* width: 112.92px; */
            color: #000;
            font-family: Montserrat;
            font-size: 30px;
            font-weight: 700;
            line-height: 37px;
        }

        .nemelt_medeelel {
            height: 33px;
            /* width: 106.84px; */
            color: #000;
            font-family: Montserrat;
            font-size: 9px;
            line-height: 11px;
            margin: 0;
            margin-top: 6.08px;
        }

        #icon_hint {
            height: 28.95px;
            width: 30px;
            /* background-color: #000; */
            transform: rotate(180deg);
            background-image: url(hint.png);
            background-repeat: no-repeat;
            background-size: cover;
        }

        #hint_hint {
            /* padding-left: 317px;
                margin-top: 39.1px; */
            display: flex;
            flex-direction: row-reverse;
            justify-content: space-between;
            padding: 28px;
        }

        #hint-number {
            height: 25px;
            width: 25px;
            background-color: #FFF;
            border-radius: 50%;
            position: absolute;
            z-index: 1;
            top: -11px;
            right: -11px;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #tmp-5 {
            position: relative;
            margin-top: 10px;
        }

        #hint-number-title {
            color: #000;
            font-family: Montserrat;
            font-size: 15px;
            font-weight: 700;
            line-height: 18px;
            text-align: center;
        }
    </style>
</head>

<body>
    <div id="tmp2">
        <div id="rectangle-1">
            <div id="hint_hint">
                <div id="tmp-5">
                    <div id="hint-number">
                        <h1 id="hint-number-title"></h1>
                    </div>
                    <div id="icon_hint">
                    </div>
                </div>
                <div onclick="profile()" id="profile"></div>
            </div>
        </div>
    </div>
    <div id="tmp">
        <div id="icon"></div>
    </div>
    <div id="tmp3">
        <h1 id="mango_quiz_text">MangoQuiz</h1>
    </div>
    <div id="tmp4" class="demi-container">
        <button id="play_now" onclick="play()">
            <p class="titles">
                Одоо тоглох
            </p>
            <p class="nemelt_medeelel">
                Дуу, кино, хүн, гээд тааж болох бүгдийг яг одоо таа!
            </p>
        </button>
        <button id="settings" onclick="settings()">
            <p class="titles">
                Тохир-гоо
            </p>
            <p class="nemelt_medeelel">
                Өөрийн статистикаа үзэж, Leaderboard-г хараарай.
            </p>
        </button>
    </div>
    <div id="tmp4_2" class="demi-container">
        <button id="Hint" onclick="hint()">
            <p class="titles">
                Hint авах
            </p>
            <p class="nemelt_medeelel">
                Таавар тааж, оноо аваад цуглуулсан оноогоо hint болгож аваарай.
            </p>
        </button>
        <button id="tfmb" onclick = 'team()' ></button>
    </div>
    <script>
        var DB = firebase.database();
        DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
            document.getElementById('hint-number-title').innerHTML = snapshot.val();
        });
        function play() {
            window.location.href = "menu.html";
        }
        function settings() {
            window.location.href = "settings.html";
        }
        function hint() {
            window.location.href = "hint_avah.html";
        }
        function profile() {
            window.location.href = 'profile.html';
        }
        function team() {
            window.location.href = 'team.html';
        }
    </script>
</body>

</html>